netatalk: afpfunc_helpers.c File Reference

netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
afpfunc_helpers.c File Reference
`#include <errno.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <atalk/cnid.h>`
`#include <atalk/directory.h>`
`#include <atalk/globals.h>`
`#include <atalk/logger.h>`
`#include <atalk/queue.h>`
`#include <atalk/util.h>`
`#include <atalk/volume.h>`
`#include "afp_config.h"`
`#include "dircache.h"`
`#include "directory.h"`
`#include "file.h"`
`#include "filedir.h"`
`#include "hash.h"`
`#include "subtests.h"`
`#include "test.h"`
`#include "volume.h"`

## Macros
#define | rbufsize 128000
#define | ADD(a, b, c)
#define | PUSHBUF(p, val, size, len)
#define | PUSHVAL(p, t, val, len)

## Functions
static int | push_path (char **bufp, const char *name)
char ** | cnamewrap (const char *name)
int | getfiledirparms (AFPObj *obj, uint16_t vid, cnid_t did, const char *name)
int | createdir (AFPObj *obj, uint16_t vid, cnid_t did, const char *name)
int | createfile (AFPObj *obj, uint16_t vid, cnid_t did, const char *name)
int | delete (AFPObj *obj, uint16_t vid, cnid_t did, const char *name)
int | enumerate (AFPObj *obj, uint16_t vid, cnid_t did)
uint16_t | openvol (AFPObj *obj, const char *name)

## Variables
static char | rbuf [rbufsize]
static size_t | rbuflen

## Macro Definition Documentation

## ◆ ADD

#define ADD | ( |  | a,
|  |  | b,
|  |  | c )

Value:
(a) += (c); \
(b) += (c)
c
size_t c
Definition dircache.c:257

## ◆ PUSHBUF

#define PUSHBUF | ( |  | p,
|  |  | val,
|  |  | size,
|  |  | len )

Value:
memcpy((p), (val), (size)); \
(p) += (size); \
(len) += (size)
p
size_t p
Definition dircache.c:256

## ◆ PUSHVAL

#define PUSHVAL | ( |  | p,
|  |  | t,
|  |  | val,
|  |  | len )

Value:
{ \
t type = val; \
memcpy(p, &type, sizeof(t)); \
(p) += sizeof(t); \
(len) += sizeof(t); \
}
type
static enum op type
Definition nad_cp.c:96

## ◆ rbufsize

#define rbufsize 128000

## Function Documentation

## ◆ cnamewrap()

char ** cnamewrap | ( | const char * | name | ) |

## ◆ createdir()

int createdir | ( | AFPObj * | obj,
|  | uint16_t | vid,
|  | cnid_t | did,
|  | const char * | name )

## ◆ createfile()

int createfile | ( | AFPObj * | obj,
|  | uint16_t | vid,
|  | cnid_t | did,
|  | const char * | name )

## ◆ delete()

int delete | ( | AFPObj * | obj,
|  | uint16_t | vid,
|  | cnid_t | did,
|  | const char * | name )

## ◆ enumerate()

int enumerate | ( | AFPObj * | obj,
|  | uint16_t | vid,
|  | cnid_t | did )

## ◆ getfiledirparms()

int getfiledirparms | ( | AFPObj * | obj,
|  | uint16_t | vid,
|  | cnid_t | did,
|  | const char * | name )

## ◆ openvol()

uint16_t openvol | ( | AFPObj * | obj,
|  | const char * | name )

## ◆ push_path()

int push_path | ( | char ** | bufp,
|  | const char * | name )
| static

## Variable Documentation

## ◆ rbuf

char rbuf[rbufsize]
| static

## ◆ rbuflen

size_t rbuflen
| static